"""
    Amp navigation functions for Scanner.pyppet module
"""
import os

from sitecheck.scanner import logger
from sitecheck.scanner.Scanner import data
from sitecheck.scanner.Scanner import options
from . import sites
from .text import Amp_text
from .utlis import check_date


class Amp_Webpage:
    """
    Operator pool for Amp.
    """

    async def goto_plan_view(self):
        """
        Loop through the planview identifiers set in project.planarray

        :rtype: None

        """
        views = self.project.planarray.split(",")

        for view in views:
            logger.debug('Scanning Planview: ' + view)
            await self.page.goto(self.url + Amp_text.planview + view)
            await sites.scan_plan_view(self, Amp_Webpage)

    async def get_last_update(self):
        """
        Loop through possible sensors and gather IDs and recent timestamp.
        :rtype: None
        """
        for _sensor_box in ['3', '4']:
            _name: str = str(
                f"body > div:nth-child({_sensor_box}) "
                f"> div:nth-child({os.environ['TARGET_CHILD']}) "
                f"> a:nth-child(1)"
                )
            name = await self.page.J(_name)

            _data: str = str(
                f"body > div:nth-child({_sensor_box}) "
                f"> div:nth-child({os.environ['TARGET_CHILD']}) "
                f"> a:nth-child(3)"
                )
            link = await self.page.J(_data)

            if name is None:
                pass
            else:
                # Retrieve sensor's Data from Amp
                scan = self.page.evaluate
                _sensor = await scan('(name) => name.textContent', name)
                _date = await scan('(link) => link.title', link)

                # Get Sensor Value. Adds sensor value to output
                if options.Getvalue:
                    _value = await scan('(link) => link.textContent', link)
                    value = ' === Current value: %s' % _value
                else:
                    value = ''

                logger.info(
                    f'Sensor name: {_sensor} === Latest data on AMP: {_date} '
                    f'{value}')

                # Send gathered data to be sorted
                await data.watchdog_handler(
                    check_date(_date),
                    self.project.name,
                    _sensor,
                    _date
                    )
